<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: TrajectoryGenerator1D.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_trajectory_generator1_d_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">TrajectoryGenerator1D.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_trajectory_generator1_d_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef TRAJECTORYGENERATOR1D_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define TRAJECTORYGENERATOR1D_H</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_i_o_device_8h.html">IODevice.h</a>&gt;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;{</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;    <span class="keyword">namespace </span>core</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    {</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;        <span class="keyword">class </span>cvmatrix;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    }</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    <span class="keyword">namespace </span>gui</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    {</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;        <span class="keyword">class </span>LayoutPosition;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    }</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;}</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">class </span>TrajectoryGenerator1D_impl;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;{</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">namespace </span>filter</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;{</div>
<div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="classframework_1_1filter_1_1_trajectory_generator1_d.html">   45</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1filter_1_1_trajectory_generator1_d.html">TrajectoryGenerator1D</a> : <span class="keyword">public</span> <a class="code" href="classframework_1_1core_1_1_i_o_device.html">core::IODevice</a></div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    {</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;        <span class="keyword">public</span>:</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;            <a class="code" href="classframework_1_1filter_1_1_trajectory_generator1_d.html#ae92170e92b10fd8d1a4a3b47cb4549d0">TrajectoryGenerator1D</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1gui_1_1_layout_position.html">gui::LayoutPosition</a>* position,std::string name,std::string unit=<span class="stringliteral">&quot;&quot;</span>);</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;            <a class="code" href="classframework_1_1filter_1_1_trajectory_generator1_d.html#ab009678cc37138a00957bc6e3e82fea5">~TrajectoryGenerator1D</a>();</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_trajectory_generator1_d.html#ae1b33a9354387bd33209f31003b8f1fc">StartTraj</a>(<span class="keywordtype">float</span> start_pos,<span class="keywordtype">float</span> end_pos);</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_trajectory_generator1_d.html#ac9be2ce2b53e7ef5866f459284823512">StopTraj</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_trajectory_generator1_d.html#aab9de70b548a700686d9e88d0160023e">Reset</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;            <span class="keywordtype">bool</span> <a class="code" href="classframework_1_1filter_1_1_trajectory_generator1_d.html#a84f558fc3e53c980eb9f212a2121d078">IsRunning</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_trajectory_generator1_d.html#add9eb592c445f141fb5eb39d8a7fa1be">SetPositionOffset</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_trajectory_generator1_d.html#a96ff50cc44677262a585db2aa4c2d0af">SetSpeedOffset</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_trajectory_generator1_d.html#a28a92127ec1e56b5a1ab458ea71aded5">Update</a>(<a class="code" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">core::Time</a> time);</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;            <span class="keywordtype">float</span> <a class="code" href="classframework_1_1filter_1_1_trajectory_generator1_d.html#aee159ea65ab65ab89db415721cc01b72">Position</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;            <span class="keywordtype">float</span> <a class="code" href="classframework_1_1filter_1_1_trajectory_generator1_d.html#a62075bd8c798d7c12a4be934e1eb0368">Speed</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;            <a class="code" href="classframework_1_1core_1_1cvmatrix.html">core::cvmatrix</a> *<a class="code" href="classframework_1_1filter_1_1_trajectory_generator1_d.html#a9ec0f7e4d98f7e6c09cb855a528c9426">Matrix</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;        <span class="keyword">private</span>:</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;            <span class="keywordtype">void</span> UpdateFrom(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1io__data.html">core::io_data</a> *data){};</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;            TrajectoryGenerator1D_impl* pimpl_;</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;    };</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;} <span class="comment">// end namespace filter</span></div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;} <span class="comment">// end namespace framework</span></div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;<span class="preprocessor">#endif // TRAJECTORYGENERATOR1D_H</span></div>
<div class="ttc" id="classframework_1_1core_1_1cvmatrix_html"><div class="ttname"><a href="classframework_1_1core_1_1cvmatrix.html">framework::core::cvmatrix</a></div><div class="ttdoc">Class defining a matrix of kind CvMat. </div><div class="ttdef"><b>Definition:</b> cvmatrix.h:28</div></div>
<div class="ttc" id="namespaceframework_1_1core_html_a556a09521d9b94e1c9f0bfe6744d611d"><div class="ttname"><a href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">framework::core::Time</a></div><div class="ttdeci">unsigned long long Time</div><div class="ttdoc">Time definition, in ns. </div><div class="ttdef"><b>Definition:</b> Object.h:49</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_trajectory_generator1_d_html_a84f558fc3e53c980eb9f212a2121d078"><div class="ttname"><a href="classframework_1_1filter_1_1_trajectory_generator1_d.html#a84f558fc3e53c980eb9f212a2121d078">framework::filter::TrajectoryGenerator1D::IsRunning</a></div><div class="ttdeci">bool IsRunning(void) const </div><div class="ttdoc">Is trajectory running? </div></div>
<div class="ttc" id="classframework_1_1core_1_1io__data_html"><div class="ttname"><a href="classframework_1_1core_1_1io__data.html">framework::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:69</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_trajectory_generator1_d_html_ae92170e92b10fd8d1a4a3b47cb4549d0"><div class="ttname"><a href="classframework_1_1filter_1_1_trajectory_generator1_d.html#ae92170e92b10fd8d1a4a3b47cb4549d0">framework::filter::TrajectoryGenerator1D::TrajectoryGenerator1D</a></div><div class="ttdeci">TrajectoryGenerator1D(const gui::LayoutPosition *position, std::string name, std::string unit=&quot;&quot;)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classframework_1_1gui_1_1_layout_position_html"><div class="ttname"><a href="classframework_1_1gui_1_1_layout_position.html">framework::gui::LayoutPosition</a></div><div class="ttdoc">Class to define a position in a layout on the ground station. </div><div class="ttdef"><b>Definition:</b> LayoutPosition.h:26</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_trajectory_generator1_d_html_ae1b33a9354387bd33209f31003b8f1fc"><div class="ttname"><a href="classframework_1_1filter_1_1_trajectory_generator1_d.html#ae1b33a9354387bd33209f31003b8f1fc">framework::filter::TrajectoryGenerator1D::StartTraj</a></div><div class="ttdeci">void StartTraj(float start_pos, float end_pos)</div><div class="ttdoc">Start trajectory. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_trajectory_generator1_d_html"><div class="ttname"><a href="classframework_1_1filter_1_1_trajectory_generator1_d.html">framework::filter::TrajectoryGenerator1D</a></div><div class="ttdoc">Class generating a trajectory in 1D. </div><div class="ttdef"><b>Definition:</b> TrajectoryGenerator1D.h:45</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_trajectory_generator1_d_html_aee159ea65ab65ab89db415721cc01b72"><div class="ttname"><a href="classframework_1_1filter_1_1_trajectory_generator1_d.html#aee159ea65ab65ab89db415721cc01b72">framework::filter::TrajectoryGenerator1D::Position</a></div><div class="ttdeci">float Position(void) const </div><div class="ttdoc">Position. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_trajectory_generator1_d_html_a62075bd8c798d7c12a4be934e1eb0368"><div class="ttname"><a href="classframework_1_1filter_1_1_trajectory_generator1_d.html#a62075bd8c798d7c12a4be934e1eb0368">framework::filter::TrajectoryGenerator1D::Speed</a></div><div class="ttdeci">float Speed(void) const </div><div class="ttdoc">Speed. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_i_o_device_html"><div class="ttname"><a href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></div><div class="ttdoc">Abstract class for input/ouput system. </div><div class="ttdef"><b>Definition:</b> IODevice.h:35</div></div>
<div class="ttc" id="_i_o_device_8h_html"><div class="ttname"><a href="_i_o_device_8h.html">IODevice.h</a></div><div class="ttdoc">Abstract class for input/ouput system. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_trajectory_generator1_d_html_a28a92127ec1e56b5a1ab458ea71aded5"><div class="ttname"><a href="classframework_1_1filter_1_1_trajectory_generator1_d.html#a28a92127ec1e56b5a1ab458ea71aded5">framework::filter::TrajectoryGenerator1D::Update</a></div><div class="ttdeci">void Update(core::Time time)</div><div class="ttdoc">Update using provided datas. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_trajectory_generator1_d_html_ab009678cc37138a00957bc6e3e82fea5"><div class="ttname"><a href="classframework_1_1filter_1_1_trajectory_generator1_d.html#ab009678cc37138a00957bc6e3e82fea5">framework::filter::TrajectoryGenerator1D::~TrajectoryGenerator1D</a></div><div class="ttdeci">~TrajectoryGenerator1D()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_trajectory_generator1_d_html_a9ec0f7e4d98f7e6c09cb855a528c9426"><div class="ttname"><a href="classframework_1_1filter_1_1_trajectory_generator1_d.html#a9ec0f7e4d98f7e6c09cb855a528c9426">framework::filter::TrajectoryGenerator1D::Matrix</a></div><div class="ttdeci">core::cvmatrix * Matrix(void) const </div><div class="ttdoc">Output matrix. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_trajectory_generator1_d_html_a96ff50cc44677262a585db2aa4c2d0af"><div class="ttname"><a href="classframework_1_1filter_1_1_trajectory_generator1_d.html#a96ff50cc44677262a585db2aa4c2d0af">framework::filter::TrajectoryGenerator1D::SetSpeedOffset</a></div><div class="ttdeci">void SetSpeedOffset(float value)</div><div class="ttdoc">Set speed offset. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_trajectory_generator1_d_html_aab9de70b548a700686d9e88d0160023e"><div class="ttname"><a href="classframework_1_1filter_1_1_trajectory_generator1_d.html#aab9de70b548a700686d9e88d0160023e">framework::filter::TrajectoryGenerator1D::Reset</a></div><div class="ttdeci">void Reset(void)</div><div class="ttdoc">Reset. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_trajectory_generator1_d_html_ac9be2ce2b53e7ef5866f459284823512"><div class="ttname"><a href="classframework_1_1filter_1_1_trajectory_generator1_d.html#ac9be2ce2b53e7ef5866f459284823512">framework::filter::TrajectoryGenerator1D::StopTraj</a></div><div class="ttdeci">void StopTraj(void)</div><div class="ttdoc">Stop trajectory. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_trajectory_generator1_d_html_add9eb592c445f141fb5eb39d8a7fa1be"><div class="ttname"><a href="classframework_1_1filter_1_1_trajectory_generator1_d.html#add9eb592c445f141fb5eb39d8a7fa1be">framework::filter::TrajectoryGenerator1D::SetPositionOffset</a></div><div class="ttdeci">void SetPositionOffset(float value)</div><div class="ttdoc">Set position offset. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d9f696bd07998dbcfc5b49e19dc5f66d.html">igep</a></li><li class="navelem"><a class="el" href="dir_7775cfc2302e50905e8c794823e78d65.html">uav_lib</a></li><li class="navelem"><a class="el" href="dir_3d8b3ef72b6bddf04a7da37c46c6171b.html">framework</a></li><li class="navelem"><a class="el" href="dir_fe46344826a09271daf0b94572bf98c3.html">Filter</a></li><li class="navelem"><a class="el" href="dir_2d63b318a579ad532ef11df207587c97.html">src</a></li><li class="navelem"><a class="el" href="_trajectory_generator1_d_8h.html">TrajectoryGenerator1D.h</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
